## ngspice 28

=== debian/changelog ===
ngspice (28-3~bpo9+1) stretch-backports; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Oct 2018 06:25:32 +0200

ngspice (28-3) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [3abcd8e] autopkgtest: use build-essential as dependency
    ci.d.n is still not happy, should be solved by the changes here.
  * [2a26aea] d/control: add various Multi-Arch fields
    The Multi-Arch check in the Tracker has spotted these changes as suggestion.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 15 Oct 2018 19:50:42 +0200

ngspice (28-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [6c67992] d/control: fix typo in short description of libngspice0
    Thanks Jonas for spotting!
    (Closes: #910965)
  * [a9e3dab] debian/control: increase Standards-Version to 4.2.1
    No further changes needed.
  * [e5af9d4] d/tests/control: add missing tests dependencies
    The autopkgtest needs of course gcc and pkg-config.
  * [4c57cdc] rebuild patch queue from patch-queue branch
    added patches:
    fixes/configure.ac-add-additional-linker-flags-for-bsd.patch
    fixes/use-strerror-instead-of-sys_errlist.patch
  * [2ef45d6] ngspice: revert introduction of readline support
    We can't link against libreadline without a license change, so we will stay
    on libedit here.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 14 Oct 2018 16:08:25 +0200

ngspice (28-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [0cf451f] debian/gbp.conf: adding helper for git-buildpackage
  * [46a1f0f] d/gbp.conf: add some more files to filter out
  * [6f82a23] d/gbp.conf: switch pristine-tar usage on
  * [5daa4f3] d/gbp.conf: add component 'doc'
  * [44659b5] New upstream version 28
    The new NGSpice upstream version is DFSG compatible and there is no need to
    do a packaging of a -dfsg version anymore.
    (Closes: #888489)
  * [e9ae83f] debian/control: wrap-and-sort the complete file
    Run w-a-s over the control file so it's much better readable for human.
  * [7de1e26] debian/copyright: fix up some white-space issues
  * [c0a30d9] d/{compat,control}: bump debhelper to version 11
    The actual debhelper version is 11 and there is no reason to not switch over
    to this version in unstable.
  * [ab6a5cd] debian/control: bump Standards-Version to 4.1.4
    No further action needed for this version bump from 4.1.2.
  * [aa23ade] d/*.dirs: remove old dh files for dirs
    The debian/*.dirs files got removed as recent debhelper will create the
    needed folders automatically. This decreases the amount of files in the
    debian folder.
  * [6b9deef] libngspice0: adding new library about ngspice
    The NGSpice source provides the possibility to create shared library
    libngspice for some time which can be used to get access to the simulation
    functions of ngpsice. This library wasn't provided by previous packaging
    work. (Closes: #834335)
  * [77ab434] debian/ngspice.install: remove folder /u/l/ngspice
    Modify the debhelper sequencer as libraries are not installed into the
    ngspice binary package now and have there own packages.
  * [ef2b528] debian/rules: migrating to debhelper style
    Rewrite the whole rules files to migrate it over to debhelper style. This
    improves the readability in many ways.
  * [9de06e7] rebuild patch queue from patch-queue branch
    added patches:
    fixes/spelling-fixing-some-misspelled-words.patch
    fixes/spelling-fixing-more-misspelled-words.patch
    reproducible/Allow-one-to-override-build-date.patch

    removed patch (obsolete / adopted upstream):
    01_fix_manpages.patch
    02_fix_tcl_examples.patch
  * [656c866] debian/control: remove reference to non-free
    With the DFSG compatible source the source package don't need to get into
    no-free.
  * [012b1e4] move maintainership over to Debian Electronics Team
    After some conversations about the future maintainer-ship of ngspice Gudjon
    I. Gudjonsson and Andreas Tille agreed on the movement to the Debian
    Electronics group.
    Of course I want to thank all people who spend their time on doing any
    maintaining work in ngspice!
  * [5e04896] libngspice0-dev.install.in: update header install
    The libngspice-dev package is only containing one header file and it's gonna
    installed into the typical folder for public headers.
  * [8b7ecb6] libngspice0-dev: small change to the description
    Adding a small suffix to the short description so it's better visible about
    the use case for this package.
  * [44b2625] manpages: drop no longer needed local hold manpages
    The manpages are included in the upstream source since version 27. No need
    to ship them inside Debian anymore.
  * [4ce54e5] ngspice: drop --with-editline in favor of --with-readline
    (Closes: #834247)
  * [5aa3be1] debian/rules: update helper and targets for build
    The build of the source requires three stages (as for ngspice, libngspice
    and tclspice) of configuring and building as some configure options are
    prohibitive each other.
    Creating dedicated variables with such configure options which are used
    later in the dh_auto_configure target.
  * [fa60633] debian/control: update tclspice package
    The tclspice package is mainly providing a shared library which is depending
    on same ngspice package version.
    Rephrase a bit the package description. And the fields 'Replace" and
    "Breaks" on the tclspice-dev package isn't needed anymore.
  * [1683ca1] ngspice-dev: adding new binary package
    By creating libngspice-dev with it's own required header file and the
    dropping of the installation of the other header files in the ngspice
    package we need to create a new -dev package for ngspice.
    This is fulfilled by this new package ngspice-dev which includes the
    remaining header files and the dev link of libspice0.so.


=== debian/control ===
Source: ngspice
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders:
 Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Andreas Tille <tille@debian.org>,
 Carsten Schoenert <c.schoenert@t-online.de>,
Build-Depends:
 automake,
 bison,
 blt-dev,
 debhelper (>= 11~),
 flex,
 gfortran,
 libedit-dev,
 libncurses5-dev,
 libtool,
 libxaw7-dev,
 tcl8.6,
 tcl8.6-dev,
 texinfo,
 tk8.6,
 tk8.6-dev,
Build-Depends-Indep:
 imagemagick,
 lyx,
 texlive,
 texlive-generic-recommended,
 texlive-lang-greek,
 texlive-latex-extra,
 texlive-science,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
Homepage: http://ngspice.sourceforge.net
XS-Autobuild: yes

Package: ngspice
Architecture: any
Depends:
 dpkg (>= 1.15.4) | install-info,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ngspice-doc (>= ${source:Version}),
Description: Spice circuit simulator
 NGSpice is a mixed-level/mixed-signal circuit simulator.  Its code is based on
 three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 NGSpice is part of gEDA project, a full GPL'd suite of Electronic Design
 Automation tools.

Package: ngspice-dev
Section: libdevel
Architecture: any
Depends:
 blt-dev,
 tclspice (= ${binary:Version}),
 ${misc:Depends},
Description: Spice circuit simulator - development files for ngspice and tclspice
 NGSpice is a mixed-level/mixed-signal circuit simulator. Its code is based on
 three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 Use this package in case you need to compile own Xspice models as a dynamic
 library with a file extension *.cm. Those files need to be placed into
 /usr/lib/$(multiarch)/ngspice and will be loaded by the ngspice executable.
 .
 This package contains the development header files for libspice and own
 ngspice dynamic library models.

Package: tclspice
Section: libs
Architecture: any
Depends:
 blt,
 ngspice (= ${binary:Version}),
 tcl8.6,
 tk8.6,
 ${misc:Depends},
 ${shlibs:Depends},
Description: NGSpice library for Tcl
 This package provides the NGSpice simulation engine for your Tcl-scripts by the
 library libspice.
 All spice directives are available as Tcl functions and it features some new
 commands that are useful for the integration into the Tcl environment. It
 includes Xspice.
 GUI is handled by Tk using BLT vectors.

Package: ngspice-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Documentation for the NGspice circuit simulator
 NGspice is a mixed-level/mixed-signal circuit simulator.
 Its code is based on three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 NGSpice is part of gEDA project, a full GPL'd suite of Electronic Design
 Automation tools.
 .
 This package contains the PDF and HTML documentation.

Package: libngspice0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Spice circuit simulator - library
 NGspice is a mixed-level/mixed-signal circuit simulator. Its code is based on
 three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 This package contains the NGSpice library.

Package: libngspice0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libngspice0 (= ${binary:Version}),
 ${misc:Depends},
Description: Spice circuit simulator - development files for libngspice
 NGSpice is a mixed-level/mixed-signal circuit simulator. Its code is based on
 three open source software packages:
 Spice3f5, Cider1b1 and Xspice.
 .
 This package contains the development files for NGSpice.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# out of tree build folder for ngspice application
DEB_BUILD_DIR=debian/build
# default install folder
INSTDIR=$(CURDIR)/debian/tmp

LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

DEB_DEFAULT_CONFIGURE_OPTS := \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--with-editline=yes \
	--enable-cider \
	--enable-maintainer-mode \
	--enable-openmp \
	--enable-pss \
	--enable-xspice \
	--disable-adms \
	--disable-debug \
	$(NULL)

DEB_NGSPICE_CONFIGURE_OPTS := \
	$(DEB_DEFAULT_CONFIGURE_OPTS) \
	--with-x \
	$(NULL)

DEB_LIBNGSPICE_CONFIGURE_OPTS := \
	$(DEB_DEFAULT_CONFIGURE_OPTS) \
	--with-ngshared \
	$(NULL)

DEB_TCLSPICE_CONFIGURE_OPTS := \
	$(DEB_DEFAULT_CONFIGURE_OPTS) \
	--with-x \
	--with-tcl=/usr/lib/tcl8.6 \
	$(NULL)

PREPROCESS_FILES := $(wildcard debian/*.in)

$(PREPROCESS_FILES:.in=): %: %.in
	sed 's,/@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH:%=/%),g' $< > $@

%:
	dh $@

override_dh_auto_configure-arch:
	mkdir -p $(DEB_BUILD_DIR)
	#
	####################################
	# configuring ngspice applications #
	####################################
	dh_auto_configure --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/ngspice -- $(DEB_NGSPICE_CONFIGURE_OPTS)
	#
	##################################
	# configuring libngspice library #
	##################################
	dh_auto_configure --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/libngspice -- $(DEB_LIBNGSPICE_CONFIGURE_OPTS)
	#
	##############################
	# configure tclspice library #
	##############################
	dh_auto_configure --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/tclspice -- $(DEB_TCLSPICE_CONFIGURE_OPTS)

override_dh_auto_build:
	#
	#################################
	# building ngspice applications #
	#################################
	dh_auto_build --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/ngspice
	#
	###############################
	# building libngspice library #
	###############################
	dh_auto_build --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/libngspice
	#
	#############################
	# building tclspice library #
	#############################
	dh_auto_build --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/tclspice

override_dh_auto_install: $(PREPROCESS_FILES:.in=)
	# We need to install the libngspice and tclspice build first
	# and after that the build of the ngspice applications with
	# X support at the end.
	#
	###############################
	# installing tclspice library #
	###############################
	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/tclspice
	#
	##################################
	# installing ngspice applications #
	##################################
	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/ngspice
	#
	#################################
	# installing libngspice library #
	#################################
	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/libngspice
	# remove useless *.la files
	find debian/tmp/ -type f -name "*.la" -exec rm {} \;

override_dh_install-indep:
	#
	###########################
	# building ngspice manual #
	###########################
	mkdir -p $(DEB_BUILD_DIR)/doc
	rm -f doc/manual.pdf
	# We need the unusual exit call at the end, the lyx call is finishing with a exitcode != 0.
	cd doc ;\
		lyx -userdir $(CURDIR)/$(DEB_BUILD_DIR)/doc --export pdf2 manual.lyx | exit 0 ;\
		lyx -userdir $(CURDIR)/$(DEB_BUILD_DIR)/doc --export xhtml manual.lyx
	dh_install

override_dh_install-arch:
	dh_install
	rm debian/ngspice-dev/usr/include/ngspice/sharedspice.h
	# The example scripts contains a wrong path to the libspice0 library after
	# we have installed them into the package.
	for file in `find debian/tclspice/usr/share/doc/tclspice/examples -type f -name "*.sh"`; do \
		sed -i 's/^load .*/load \/usr\/lib\/$(DEB_HOST_MULTIARCH)\/libspice.so.0/g' $$file ;\
	done

override_dh_auto_test:

## ngspice 29

=== debian/changelog ===
ngspice (29-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 30 Oct 2018 18:06:26 +0100

ngspice (29-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [1d92fbd, 31abca1] adding B-D to libngspice0 and tclspice symbols files
    The symbols files need the information about the depending required -dev
    packages.
  * [1cbcc55] d/gbp.conf: update import filter, more files to ignore
    Upstream has changed the shipped files and folders, we need to filter out
    now some more folders due unclear license situation. These are all examples
    we anyway had never shipped within the packaging.
  * [3c5bab5] New upstream version 29
  * [ff53ffe] rebuild patch queue from patch-queue branch
    removed patches (mostly previously cherry-picked):
    fixes/configure.ac-add-additional-linker-flags-for-bsd.patch
    fixes/use-strerror-instead-of-sys_errlist.patch
    reproducible/Allow-one-to-override-build-date.patch
  * [78ac3a6] d/control: increase B-D on lyx to >= 2.2
    Be more explicit on the required lyx version, 2.2 is anyway available
    started with Debian Stretch 9.0. Version 29 is requiring this version now.
  * [d098e0d] cme: update helper files for cme
    We use the cme helper to rework the copyright file, adding some updates to
    the yaml files so cme is detecting more thing automatically.
  * [9f887eb] d/copyright: update after upstream changes
  * [66c6cf1] d/rules: modify the build of doc/ folder
    Using $(CURDIR) here so the build id using absolute path instead of relative
    calls, should make the build reproducible (hopefully :-) ).
  * [f3943a4] ngspice: install some more scripts
    Some more ngspice related script added to the installation (ciderinit,
    devaxis, devload).

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 28 Oct 2018 11:31:11 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  tk8.6-dev,
 Build-Depends-Indep:
  imagemagick,
- lyx,
+ lyx (>= 2.2),
  texlive,
  texlive-generic-recommended,
  texlive-lang-greek,

## ngspice 30.2

=== debian/changelog ===
ngspice (30.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Apr 2019 11:47:23 -0700

ngspice (30.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 03 Jan 2019 09:23:44 +0100

ngspice (30.2-1) unstable; urgency=medium

  * [bec4464] New upstream version 30.2
    (Closes: #917674)
  * [a4a68e0] rebuild patch queue from patch-queue branch
    added patch:
    fixes/spelling-fixing-misspelled-word-Re-encode.patch

    removed patches (applied upstream):
    fixes/Makefile.am-add-copyright-and-license-information.patch
    fixes/Makefile.am-add-sanity-checks-called-by-distcheck.patch
    fixes/Makefile.am-add-targets-for-cleanup-and-uninstallation.patch
    fixes/Makefile.am-add-variables-GRAPHIC-LYX-_FILES.patch
    fixes/Makefile.am-adding-a-target-for-manual.html.patch
    fixes/Makefile.am-adding-some-magic-for-installing.patch
    fixes/Makefile.am-adjust-target-upload.patch
    fixes/Makefile.am-adopt-LYX_USER_DIR-into-lyx-call.patch
    fixes/Makefile.am-remove-non-portable-wildcard-calls.patch
    fixes/Makefile.am-updating-target-manual.pdf.patch
    fixes/configure.ac-adding-copyright-and-licensing-information.patch
    fixes/configure.ac-adding-with-lyxuserdir-option.patch
    fixes/configure.ac-update-information-how-to-create-configure.patch
    fixes/configure.ac-update-lyx-binary-check.patch
  * [e440e70] d/copyright: update due upstream changes
  * [32ef221] debian/control: increase Standards-Version to 4.3.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 01 Jan 2019 14:07:33 +0100

ngspice (29-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [acd6326] rebuild patch queue from patch-queue branch
    added patches:
    fixes/Makefile.am-add-sanity-checks-called-by-distcheck.patch
    fixes/Makefile.am-add-targets-for-cleanup-and-uninstallation.patch
    fixes/Makefile.am-add-variables-GRAPHIC-LYX-_FILES.patch
    fixes/Makefile.am-adding-a-target-for-manual.html.patch
    fixes/Makefile.am-adding-some-magic-for-installing.patch
    fixes/Makefile.am-adjust-target-upload.patch
    fixes/Makefile.am-adopt-LYX_USER_DIR-into-lyx-call.patch
    fixes/Makefile.am-remove-non-portable-wildcard-calls.patch
    fixes/Makefile.am-updating-target-manual.pdf.patch
    fixes/configure.ac-adding-copyright-and-licensing-information.patch
    fixes/configure.ac-adding-with-lyxuserdir-option.patch
    fixes/configure.ac-update-information-how-to-create-configure.patch
    fixes/configure.ac-update-lyx-binary-check.patch
    fixes/spelling-fixing-misspelled-word-dependance.patch
  * [8c1703c] d/rules: rework the installation of ngspice-doc
    Due the new added patches, which are also forwarded to upstream, the
    ngspice-doc package can now also be installed like other software. The
    build was modified so the sequencer files can be used the usual way.
    This also should make the package reproducible finally.
    (Closes: #915236)
  * [88c94d4] d/ngspice-doc.install: change source for installation
    Updating the installation sequencer for the documentation package.
  * [e50e956] d/ngspice-doc.doc-base: manual.html is getting installed
    Small adjustment due renamed HTML file.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 10 Dec 2018 13:30:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ngspice
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders:
  Gudjon I. Gudjonsson <gudjon@gudjon.org>,
  Andreas Tille <tille@debian.org>,
@@ -30,7 +31,7 @@
  texlive-lang-greek,
  texlive-latex-extra,
  texlive-science,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
 Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
 Homepage: http://ngspice.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,13 @@
 	--with-tcl=/usr/lib/tcl8.6 \
 	$(NULL)
 
+DEB_NGSPICE_DOC_CONFIGURE_OPTS := \
+	--prefix=/usr \
+	--docdir=\$${prefix}/share/doc/ngspice-doc \
+	--htmldir=\$${prefix}/share/doc/ngspice-doc \
+	--with-lyxuserdir=$(CURDIR)/$(DEB_BUILD_DIR)/lyxuserdir \
+	$(NULL)
+
 PREPROCESS_FILES := $(wildcard debian/*.in)
 
 $(PREPROCESS_FILES:.in=): %: %.in
@@ -73,6 +80,15 @@
 	# configure tclspice library #
 	##############################
 	dh_auto_configure --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/tclspice -- $(DEB_TCLSPICE_CONFIGURE_OPTS)
+
+override_dh_auto_configure-indep:
+	#
+	###################################
+	# configure ngspice documentation #
+	###################################
+	cd doc ; autoreconf -vi
+	mkdir -p $(DEB_BUILD_DIR)/lyxuserdir/cache
+	dh_auto_configure --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/ngspice-doc -- $(DEB_NGSPICE_DOC_CONFIGURE_OPTS)
 
 override_dh_auto_build:
 	#
@@ -101,9 +117,9 @@
 	###############################
 	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/tclspice
 	#
-	##################################
+	###################################
 	# installing ngspice applications #
-	##################################
+	###################################
 	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/ngspice
 	#
 	#################################
@@ -115,15 +131,11 @@
 
 override_dh_install-indep:
 	#
-	###########################
-	# building ngspice manual #
-	###########################
-	mkdir -p $(DEB_BUILD_DIR)/doc
-	rm -f doc/manual.pdf
-	# We need the unusual exit call at the end, the lyx call is finishing with a exitcode != 0.
-	cd doc ;\
-		lyx -userdir $(CURDIR)/$(DEB_BUILD_DIR)/doc --export pdf2 manual.lyx | exit 0 ;\
-		lyx -userdir $(CURDIR)/$(DEB_BUILD_DIR)/doc --export xhtml manual.lyx
+	##################################
+	# building ngspice documentation #
+	##################################
+	rm -f $(CURDIR)/doc/manual.pdf
+	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/ngspice-doc
 	dh_install
 
 override_dh_install-arch:
@@ -136,3 +148,6 @@
 	done
 
 override_dh_auto_test:
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## ngspice 31.3

=== debian/changelog ===
ngspice (31.3-2) unstable; urgency=medium

  * [828a246] autopkgtest: fix gcc argument order
    This makes autopkgtest working again.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Oct 2019 10:07:06 +0100

ngspice (31.3-1) unstable; urgency=medium

  [ Steve Langasek ]
  * [a8eb461] d/control: update B-D to texlive-plain-generic package
    (Closes: #941542)

  [ Carsten Schoenert ]
  * [bc16bac] d/control: increase Standards-Version to 4.4.1
    No further changes needed.
  * [d586bcb] New upstream version 31.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 09 Oct 2019 18:01:32 +0200

ngspice (31.2-1) unstable; urgency=medium

  * [0d07c7a] New upstream version 31.2
  * [b3ae898] drop patches from patchqueue branch
    All Debian specific patches are now applied upstream.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 29 Sep 2019 10:09:36 +0200

ngspice (31-1) unstable; urgency=medium

  * [4b34b88] d/README.source: update location of the git tree
    The packaging repository has moved over to Salsa as Alioth is now
    history.
  * [3fbb2a4] New upstream version 31
  * [7c54745] d/control: increase Standards-Version to 4.4.0
    No further changes needed.
  * [7eff4c3] dh: move over to debhelper-compat
  * [1dcf6b8] rebuild patch queue from patch-queue branch
    added patches:
    fixes/spelling-fix-multiple-misspelled-words.patch
    fixes/tclspice-avoid-get_plot-function-type-conflict.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 28 Sep 2019 13:29:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ngspice
 Section: electronics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders:
  Gudjon I. Gudjonsson <gudjon@gudjon.org>,
  Andreas Tille <tille@debian.org>,
@@ -11,7 +10,7 @@
  automake,
  bison,
  blt-dev,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  flex,
  gfortran,
  libedit-dev,
@@ -27,11 +26,11 @@
  imagemagick,
  lyx (>= 2.2),
  texlive,
- texlive-generic-recommended,
  texlive-lang-greek,
  texlive-latex-extra,
+ texlive-plain-generic,
  texlive-science,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
 Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
 Homepage: http://ngspice.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -148,6 +148,3 @@
 	done
 
 override_dh_auto_test:
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
# watch file for NGspice

# Upstream isn't doing any signed releases on
#    https://sourceforge.net/projects/ngspice/files/ng-spice-rework/
# By this and due the currently needed repacking for DFSG compliance
# of the source tarball we can't use any cryptographic signature
# verification and don't use 'pgpsigurlmangle'.

# opts= ...
# pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
# ...

version=4

opts="dversionmangle=s/\+dfsg(\.?\d+)?$//" \
http://sf.net/ngspice/ngspice-([0-9].*)\.tar\.gz

## ngspice 32.2%2Bds

=== debian/changelog ===
ngspice (32.2+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 May 2020 08:46:27 +0200

ngspice (32.2+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 May 2020 07:21:57 +0200

ngspice (32.2+ds-1) unstable; urgency=medium

  * [47b30a3] New upstream version 32.2+ds
  * [c9ed6b7] d/rules: More split of into -arch/-indep targets
    Doing some more visible separation of the steps for the -indep and -arch
    related for building and installation.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 May 2020 11:33:20 +0200

ngspice (32+ds-1) unstable; urgency=medium

  * [e37285e] d/watch: use git mode for catching upstream versions
  * [b898aa9] New upstream version 32+ds
  * [4999e39] d/control: increase Standards-Version to 4.5.0
    No further changes needed.
  * [871b711] build patch queue from patch-queue branch
    Adding again a patch queue, currently just one patch to fix misspelled
    words.
    added patch:
    fixes/spelling-fix-multiple-misspelled-words.patch
  * [290d3a9] d/copyright: update due upstream changes
  * [e3b352a] d/control: adding Rules-Requires-Root to source section

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 07 May 2020 10:51:44 +0200

ngspice (31.3-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.
  * [2ae176f] Revert "d/control: update B-D to texlive-plain-generic package"
  * [d4b9145] Revert "d/control: increase Standards-Version to 4.4.1"
  * [28b1c23] Revert "d/control: increase Standards-Version to 4.4.0"
  * [b143792] Revert "dh: move over to debhelper-compat"
  * [0e9df8d] d/control: increase B-D on lyx to 2.3.2-1~

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 25 Oct 2019 15:53:56 +0200

ngspice (31.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports
  * [14e5583] d/gbp.conf: adjust to target buster

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 17 Oct 2019 20:55:46 +0200

## ngspice 32.2+ds

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  automake,
  bison,
  blt-dev,
- debhelper-compat (= 12),
+ debhelper (>= 11~),
  flex,
  gfortran,
  libedit-dev,
@@ -24,13 +24,13 @@
  tk8.6-dev,
 Build-Depends-Indep:
  imagemagick,
- lyx (>= 2.2),
+ lyx (>= 2.3.2-1~),
  texlive,
+ texlive-generic-recommended,
  texlive-lang-greek,
  texlive-latex-extra,
- texlive-plain-generic,
  texlive-science,
-Standards-Version: 4.4.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
 Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
 Homepage: http://ngspice.sourceforge.net

## ngspice 33+ds

=== debian/changelog ===
ngspice (33+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 22 Oct 2020 07:58:40 +0200

ngspice (33+ds-1) unstable; urgency=medium

  * [e1f7a31] New upstream version 33+ds
  * [7c0e82e] rebuild patch queue from patch-queue branch
    added patch:
    fixes/spelling-fix-misspelled-word-Unusual.patch

    removed patch (fixed upstream):
    fixes/spelling-fix-multiple-misspelled-words.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 18 Oct 2020 19:24:59 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  automake,
  bison,
  blt-dev,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  flex,
  gfortran,
  libedit-dev,
@@ -24,13 +24,14 @@
  tk8.6-dev,
 Build-Depends-Indep:
  imagemagick,
- lyx (>= 2.3.2-1~),
+ lyx (>= 2.2),
  texlive,
- texlive-generic-recommended,
  texlive-lang-greek,
  texlive-latex-extra,
+ texlive-plain-generic,
  texlive-science,
-Standards-Version: 4.3.0
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
 Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
 Homepage: http://ngspice.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -90,7 +90,7 @@
 	mkdir -p $(DEB_BUILD_DIR)/lyxuserdir/cache
 	dh_auto_configure --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/ngspice-doc -- $(DEB_NGSPICE_DOC_CONFIGURE_OPTS)
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	#
 	#################################
 	# building ngspice applications #
@@ -107,7 +107,14 @@
 	#############################
 	dh_auto_build --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/tclspice
 
-override_dh_auto_install: $(PREPROCESS_FILES:.in=)
+override_dh_auto_build-indep:
+	#
+	##################################
+	# building ngspice documentation #
+	##################################
+	dh_auto_build --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/ngspice-doc
+
+override_dh_auto_install-arch: $(PREPROCESS_FILES:.in=)
 	# We need to install the libngspice and tclspice build first
 	# and after that the build of the ngspice applications with
 	# X support at the end.
@@ -131,9 +138,9 @@
 
 override_dh_install-indep:
 	#
-	##################################
-	# building ngspice documentation #
-	##################################
+	####################################
+	# installing ngspice documentation #
+	####################################
 	rm -f $(CURDIR)/doc/manual.pdf
 	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/ngspice-doc
 	dh_install

=== debian/watch ===
--- 
+++ 
@@ -12,5 +12,7 @@
 
 version=4
 
-opts="dversionmangle=s/\+dfsg(\.?\d+)?$//" \
-http://sf.net/ngspice/ngspice-([0-9].*)\.tar\.gz
+opts="mode=git, uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
+  dversionmangle=s/\+ds(\.?\d+)?$//" \
+  https://git.code.sf.net/p/ngspice/ngspice.git \
+  refs/tags/ngspice-(\d+(?:\d+\-\d+|\d+\.\d+))

## ngspice 34+ds

=== src/include/cppduals/thirdparty/CMakeLists.txt ===

# https://gist.github.com/johnb003/65982fdc7a1274fdb023b0c68664ebe4

# 3.10 adds support for "gtest_discover_tests" which enumerates the tests inside
# of the code and adds them to ctest.
#
cmake_minimum_required (VERSION 3.10)
project (cppduals_thirdparty)
include (ExternalProject)

get_directory_property (hasParent PARENT_DIRECTORY)

set (DEPS_ROOT "${CMAKE_BINARY_DIR}/root")
if (hasParent)
  set (DEPS_ROOT "${CMAKE_BINARY_DIR}/thirdparty/root" PARENT_SCOPE)
endif (hasParent)

if (NOT WIN32)
  set (DOWNLOAD_DIR "$ENV{HOME}/Downloads")
else (NOT WIN32)
  set (DOWNLOAD_DIR "C:/Downloads")
endif (NOT WIN32)

#
# Google test (https://github.com/google/googletest/blob/master/googletest/README.md)
#

# Download and unpack googletest at configure time
configure_file (CMakeLists-gt.txt.in googletest-download/CMakeLists.txt)
execute_process (COMMAND ${CMAKE_COMMAND} -G "${CMAKE_GENERATOR}" .
  RESULT_VARIABLE result
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/googletest-download)
if (result)
  message (FATAL_ERROR "CMake step for googletest failed: ${result}")
endif ()
execute_process (COMMAND ${CMAKE_COMMAND} --build .
  RESULT_VARIABLE result
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/googletest-download)
if (result)
  message (FATAL_ERROR "Build step for googletest failed: ${result}")
endif ()

# Prevent overriding the parent project's compiler/linker
# settings on Windows
set (gtest_force_shared_crt ON CACHE BOOL "" FORCE)

# Add googletest directly to our build. This defines
# the gtest and gtest_main targets.
add_subdirectory (
  ${CMAKE_CURRENT_BINARY_DIR}/googletest-src
  ${CMAKE_CURRENT_BINARY_DIR}/googletest-build
  EXCLUDE_FROM_ALL)

# The gtest/gtest_main targets carry header search path
# dependencies automatically when using CMake 2.8.11 or
# later. Otherwise we have to add them here ourselves.
if (CMAKE_VERSION VERSION_LESS 2.8.11)
  include_directories ("${gtest_SOURCE_DIR}/include")
endif ()

# Can simply link against gtest or gtest_main as needed. Eg
#add_executable (example example.cpp)
#target_link_libraries (example gtest_main)
#add_test (NAME example_test COMMAND example)

#
# Eigen
#
if (CPPDUALS_EIGEN_LATEST)
  set (EIGEN_URL http://bitbucket.org/eigen/eigen/get/default.tar.bz2)
  #set (EIGEN_MD5 ffc83130dcd37b694c6cf7e905099af9)
else ()
  set (EIGEN_URL http://bitbucket.org/eigen/eigen/get/3.3.7.tar.bz2)
  set (EIGEN_MD5 05b1f7511c93980c385ebe11bd3c93fa)
endif ()

ExternalProject_Add (eigenX
  PREFIX eigenX
  URL ${EIGEN_URL}
  #URL_HASH MD5=${EIGEN_MD5}
  DOWNLOAD_DIR "$ENV{HOME}/Downloads"
  CONFIGURE_COMMAND ""
  BUILD_COMMAND ""
  INSTALL_COMMAND ""
  )
ExternalProject_Get_Property (eigenX source_dir)
if (hasParent AND NOT EIGEN3_INCLUDE_DIRS)
  set (EIGEN3_INCLUDE_DIRS "${source_dir}" PARENT_SCOPE)
endif ()

#
# Eigen-Expokit
#
set (EEX_SHA 72bf6e445d5ae84218dcbd74580720491e0074db  )
ExternalProject_Add (expokitX
  PREFIX expokitX
  URL https://gitlab.com/api/v4/projects/tesch1%2Feigen-expokit/repository/archive.tbz2?sha=${EEX_SHA}
  #URL_HASH MD5=96b79de1d01547f6d658865b7caa02ee
  DOWNLOAD_DIR "$ENV{HOME}/Downloads"
  CONFIGURE_COMMAND ""
  BUILD_COMMAND ""
  INSTALL_COMMAND ""
  )
ExternalProject_Get_Property (expokitX source_dir)
if (hasParent)
  set (EXPOKIT_INCLUDE_DIR "${source_dir}" PARENT_SCOPE)
endif()

#
# fmt
#
ExternalProject_Add (fmtX
  PREFIX fmtX
  URL https://github.com/fmtlib/fmt/archive/6.1.1.tar.gz
  URL_HASH MD5=acfb83d44afdca171ee26c597c931e7c
  DOWNLOAD_DIR ${DOWNLOAD_DIR}
  CONFIGURE_COMMAND ""
  BUILD_COMMAND ""
  INSTALL_COMMAND ""
  )
ExternalProject_Get_Property (fmtX source_dir)
ExternalProject_Get_Property (fmtX binary_dir)
if (hasParent)
  message (" FMT3_INCLUDE_DIRS: ${source_dir}")
  add_subdirectory (${source_dir} ${binary_dir} EXCLUDE_FROM_ALL)
endif ()

if (CPPDUALS_BENCHMARK)
  #
  # google benchmark
  #
  ExternalProject_Add (benchmarkX
    PREFIX benchmarkX
    URL "http://github.com/google/benchmark/archive/v1.5.0.tar.gz"
    URL_HASH MD5=eb1466370f3ae31e74557baa29729e9e
    DOWNLOAD_DIR ${DOWNLOAD_DIR}
    CMAKE_ARGS --target install -DBENCHMARK_ENABLE_GTEST_TESTS=OFF -DCMAKE_BUILD_TYPE=Release -DBENCHMARK_USE_LIBCXX=${CPPDUALS_USE_LIBCXX}
    "-DCMAKE_INSTALL_PREFIX=<INSTALL_DIR>"
    INSTALL_DIR "${DEPS_ROOT}"
    )
  ExternalProject_Get_Property (benchmarkX source_dir)
  ExternalProject_Get_Property (benchmarkX install_dir)
  if (hasParent)
    set (BENCHMARK_SRC_DIR "${source_dir}" PARENT_SCOPE)
    set (BENCHMARK_INC_DIR "${install_dir}/include" PARENT_SCOPE)
    message (" BENCHMARK_SRC_DIR: ${BENCHMARK_SRC_DIR}")
  endif()

  if (Boost_FOUND AND NO)

    #
    # Audi + Piranha - needs boost
    #
    #boost 1.70
    find_package (Boost 1.69)
    if (hasParent)
      set (Boost_FOUND ${Boost_FOUND} PARENT_SCOPE)
      set (Boost_INCLUDE_DIRS ${Boost_INCLUDE_DIRS} PARENT_SCOPE)
    endif ()

    # piranha
    ExternalProject_Add (piranhaX PREFIX piranhaX
      URL https://github.com/bluescarni/piranha/archive/v0.11.tar.gz
      URL_HASH MD5=33482f719f6b8a6a5316f9bd148f5b10
      DOWNLOAD_DIR "$ENV{HOME}/Downloads"
      CONFIGURE_COMMAND "" BUILD_COMMAND "" INSTALL_COMMAND ""
      )
    ExternalProject_Get_Property (piranhaX source_dir)
    if (hasParent)
      set (PIRANHA_INCLUDE_DIR "${source_dir}/include" PARENT_SCOPE)
    endif ()

    # AuDi
    ExternalProject_Add (audiX PREFIX audiX
      URL https://github.com/darioizzo/audi/archive/v1.6.5.tar.gz
      URL_HASH MD5=a51897469dfce4ceaa25e65519a346b9
      DOWNLOAD_DIR "$ENV{HOME}/Downloads"
      #CONFIGURE_COMMAND ""
      CMAKE_ARGS -DAUDI_BUILD_TESTS=OFF
      BUILD_COMMAND "" INSTALL_COMMAND ""
      )
    ExternalProject_Get_Property (audiX source_dir)
    if (hasParent)
      set (AUDI_INCLUDE_DIR "${source_dir}/include" PARENT_SCOPE)
    endif ()
  endif (Boost_FOUND AND NO)
endif (CPPDUALS_BENCHMARK)

#
# multi-precision math
#
if (0)
ExternalProject_Add (mpfrX
  PREFIX mpfrX
  URL https://www.mpfr.org/mpfr-current/mpfr-4.0.2.tar.bz2
  URL_HASH MD5=6d8a8bb46fe09ff44e21cdbf84f5cdac
  DOWNLOAD_DIR ${DOWNLOAD_DIR}
  CONFIGURE_COMMAND "../mpfrX/configure" --prefix=<INSTALL_DIR>
  #BUILD_COMMAND "make install"
  #INSTALL_COMMAND "make install"
  )
# clumsy download link - retrieves "archive.tar"
ExternalProject_Add (mprealX
  PREFIX mprealX
  URL "http://www.holoborodko.com/pavel/wp-content/plugins/download-monitor/download.php?id=4"
  URL_HASH MD5=68ad2258eb4a1c699c407f0e7bee5125
  DOWNLOAD_DIR ${DOWNLOAD_DIR}
  CONFIGURE_COMMAND ""
  BUILD_COMMAND ""
  INSTALL_COMMAND ""
  )
ExternalProject_Get_Property (mprealX source_dir)
ExternalProject_Get_Property (mpfrX INSTALL_DIR)
if (hasParent)
  set (MPFR_INCLUDES "${INSTALL_DIR}/include" "${source_dir}" PARENT_SCOPE)
  set (MPFR_LIBRARIES "${INSTALL_DIR}/lib/libmpfr.a" -lgmp PARENT_SCOPE)
  message (" MPFR_INCLUDES: ${MPFR_INCLUDES}")
  add_definitions (-DHAVE_MPFR)
endif (hasParent)
endif (0)

=== debian/changelog ===
ngspice (34+ds-1) unstable; urgency=medium

  * [b1e7a76] New upstream version 34+ds
  * [4806596] rebuild patch queue from patch-queue branch
    added patch:
    fixes/spelling-fix-misspelled-word-Interal.patch

    removed patch (fixed upstream):
    fixes/spelling-fix-misspelled-word-Unusual.patch
  * [cfa1142] d/rules: Don't include  in default options
    Using this configure option in the base variable for all configuration
    would provoke a wrongly included symbol history_file into the shared
    library now. Some protection from upstream to prevent this is on the way,
    for now we can prevent this issue by only using --with-editline for the
    configuration of the ngspice CLI application.
  * [61821a9] ngspice-dev.install.in: adjust sequencer file
    Upstream isn't installing quite any header for ngspice-dev any more as
    they are all useless for the intended purpose.
  * [ea9d4d9] ngspice.install.in: also adjust this sequencer file
    The old folder contrib/ is gone and can't get installed, also the only
    C file we have installed previously.
  * [74ecde5] d/rules: remove config.h before dh_install
    The config.h file shouldn't even get installed, but for sure we don't
    want to ship this file, remove the file before the install sequence is
    getting called.
  * [db52d5f] ngspice.lintian-overrides: dropping non needed file
    This override isn't needed any more, the root for the override isn't
    included now.
  * [bdb931d] d/copyright: update due upstream changes
  * [6edfb76] d/libngspice0.symbols: adding newly introduced symbols
  * [c060e17] d/control: increase Standards-Version to 4.5.1
    No further changes needed.
  * [c609b51] d/u/metadata: starting with basic metadata
  * [baab51a] d/control: increase dh version to 13
  * [1a8fbbe] d/watch: updating watch logic

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 31 Jan 2021 12:43:30 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  automake,
  bison,
  blt-dev,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  flex,
  gfortran,
  libedit-dev,
@@ -31,7 +31,7 @@
  texlive-plain-generic,
  texlive-science,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
 Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
 Homepage: http://ngspice.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 DEB_DEFAULT_CONFIGURE_OPTS := \
 	--prefix=/usr \
 	--mandir=\$${prefix}/share/man \
-	--with-editline=yes \
 	--enable-cider \
 	--enable-maintainer-mode \
 	--enable-openmp \
@@ -34,6 +33,7 @@
 
 DEB_NGSPICE_CONFIGURE_OPTS := \
 	$(DEB_DEFAULT_CONFIGURE_OPTS) \
+	--with-editline=yes \
 	--with-x \
 	$(NULL)
 
@@ -146,8 +146,9 @@
 	dh_install
 
 override_dh_install-arch:
+	# Ignore the config.h file, it shouldn't be here anyway.
+	rm -f debian/tmp/usr/include/config.h
 	dh_install
-	rm debian/ngspice-dev/usr/include/ngspice/sharedspice.h
 	# The example scripts contains a wrong path to the libspice0 library after
 	# we have installed them into the package.
 	for file in `find debian/tclspice/usr/share/doc/tclspice/examples -type f -name "*.sh"`; do \

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# watch file for NGspice
+# watch file for NGSpice
 
 # Upstream isn't doing any signed releases on
 #    https://sourceforge.net/projects/ngspice/files/ng-spice-rework/
@@ -12,7 +12,11 @@
 
 version=4
 
-opts="mode=git, uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
+opts="mode=git, \
+  uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/; \
+                 s/\.\.//,\
+                 s/\_\.//,\
+                 s/\-\.//,\
   dversionmangle=s/\+ds(\.?\d+)?$//" \
   https://git.code.sf.net/p/ngspice/ngspice.git \
-  refs/tags/ngspice-(\d+(?:\d+\-\d+|\d+\.\d+))
+  refs/tags/ngspice-(\d{2}(?:|\.\d+|_\d+|-\d))

## ngspice 35+ds

=== debian/changelog ===
ngspice (35+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * [6372501] d/gbp.conf: Adjust to target bullseye

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Aug 2021 12:15:39 +0200

ngspice (35+ds-1) unstable; urgency=medium

  * [53d3331] d/libngspice0.symbols: Mark symbols as optional
    Some symbols on ppc64el will get optimized out by the used -O3 flag on
    that architecture. Marking the symbols in question as optional prevents
    FTBFS for this architecture.
    (Closes: #984677)
  * [0d1da9e] d/watch: fix wrong substitution syntax
  * [92691d9] d/control: Mark ngspice-dev as Multi-Arch: same
  * [d71d66e] New upstream version 35+ds
  * [a0c11db] d/libngspice0.install.in: Be more flexible on versions
    Upstream now does a proper versioning of the libngspice library, thus we
    can't use a static file name any more for installing libngspice.so*.
  * [4e64882] Drop the current patch queue
    No patch queue is currently needed.
  * [f95af61] Revert "d/control: Mark ngspice-dev as Multi-Arch: same"
    The depending package tclspice for ngspice-dev isn't multi archified due
    architecture specific build, thus we can't set 'Multi-Arch: same' on
    ngspice-dev.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 09 Aug 2021 20:06:56 +0200

## ngspice 36%2Bds

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  texlive-plain-generic,
  texlive-science,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/ngspice
 Vcs-Git: https://salsa.debian.org/electronics-team/ngspice.git
 Homepage: http://ngspice.sourceforge.net

## ngspice 36+ds

=== debian/changelog ===
ngspice (36+ds-1ubuntu0.1) jammy; urgency=medium

  * d/p/fixes/segfault-fix-modprobe.patch: Fix ngspice crash with
    trivial input. (LP: #2048906)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 11 Mar 2024 21:44:53 +0000

ngspice (36+ds-1) unstable; urgency=medium

  * [ef23797] d/gbp.conf: Add more files to exclude list
    Upstream added some examples files which doesn't seems to be licensed
    by a DFSG compliant license. So we filter them out.
  * [38b970a] New upstream version 36+ds
  * [b22fd7c] Add patch from patch queue branch
    Added patches:
    fixes/spelling-Fix-misspelled-word-Instnace.patch
  * [ff20288] d/control: Increase Standards-Version to 4.6.0
    No further changes needed.
  * [ed92eab] d/copyright: Updating section Files-Excluded
    Document the new added files we have excluded while tarball import.
  * [f98e83a] d/ngspice.docs: Include file README.optran to install
  * [a07b218] d/rules: Correct path to spice2poly.cm within examples
    One of the tclspice examples uses spice2poly.cm, which is installed into
    the directory /usr/lib/$(DEB_HOST_MULTIARCH)/ngspice, and we need to
    adjust the folder within the example.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Jan 2022 19:54:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ngspice
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders:
  Gudjon I. Gudjonsson <gudjon@gudjon.org>,
  Andreas Tille <tille@debian.org>,
